%define name klm
%define version 0.5.0
%define release 3mdk
%define prefix /usr

Summary: KDE app to monitor system health sensors
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
Source: http://synergy.linuxbox.com/klm-%{PACKAGE_VERSION}.tar.bz2
Group: X11/KDE/Applications
Copyright: GPL
URL: http://www.wantree.com.au/~brendy/sofware.html
Requires: qt >= 1.40 kdelibs lm_sensors-modules
BuildRoot: /var/tmp/%{name}-%{version}-buildroot

%description
Klm is a KDE application that can be used to display and configure the
hardware health monitoring sensors (for instance for motherboard
temp, fan speed, etc.) that are present in most modern PCs. Klm
uses the lm_sensors kernel module to access these sensors.

%prep
%setup -q -n klm-%{PACKAGE_VERSION}

%build
CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--with-install-root=$RPM_BUILD_ROOT \
	--prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip

cd $RPM_BUILD_ROOT/usr/share/doc/HTML
mv default en
rm -f en/klm/index.html
ln -sf klm.html en/klm/index.html

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}                

%files -f ../file.list.%{name}

%changelog
* Sat Sep 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt with latest lm_sensors.

* Fri Sep 03 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mandrake adaptions.

* Sat Feb 13 1999 Brendon Humphrey <brendy@swipnet.se>
- Updated for klm 0.5.0.

* Thu Jan 21 1999 Bert de Bruijn <bob@ccl.kuleuven.ac.be>
- first version of the SPEC file. Klm version 0.4.0.
